Create volume
Creates a new block storage volume. To preview pricing without creating anything, use POST /storage/block-storage/cost-estimate.
Authentication
X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret
Request
This endpoint expects an object.
name
The name of the volume
sizeGb
The size of the volume in GB
region
Label of the region where the volume will be created
Response
Volume created successfully
id
Unique identifier of the volume
name
Name of the volume
sizeGb
Size of the volume in GB
status
Current status of the volume
vmId
ID of the VM the volume is attached to. Null for detached volumes.
region
Label of the region where the volume is located
createdAt
When the volume was created
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error